From: <a href="/blend/av.cgi?id=1523">i'm just him</a><BR>
Date: 26 November 2009<P>

kirk~ I have to agree with b.k. on this one, you have to write about it. I think that would be interesting to read. I wonder whats more difficult, a guy meeting his girl parents or the other way around? Either way, can't wait to read.<BR>
<BR>
twisted lie~ thanks, coming from you means a lot, I've always found your work to be lovely as well. <BR>
<BR>
~i'm just him~<BR>
writings of her<BR>
<BR>

<HR>
From: <a href="/blend/av.cgi?id=1523">i'm just him</a><BR>
Date: 26 November 2009<P>

B.K., about <a href="/blend/wv.cgi?id=2009.11.26.09.02.32097">Thankful 2009</a>:<BR>
<BR>
a good way to start off the holiday.<BR>
<BR>
~i'm just him~<BR>
writings of her
<HR>
From: <a href="/blend/av.cgi?id=1523">i'm just him</a><BR>
Date: 26 November 2009<P>

Farah, about <a href="/blend/wv.cgi?id=2009.11.24.12.43.17720">*Poking eyes*</a>:<BR>
<BR>
this is an eye opener, I think everyone should read.<BR>
<BR>
~i'm just him~<BR>
writings of her
<HR>
From: <a href="/blend/av.cgi?id=1523">i'm just him</a><BR>
Date: 26 November 2009<P>

RebeccaBeth_88, about <a href="/blend/wv.cgi?id=2009.11.21.00.45.7917">Skin</a>:<BR>
nice piece, worded perfectly.<BR>
<BR>
~i'm just him~<BR>
writings of her
<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 26 November 2009<P>

Mercy Echenique, about <a href="/blend/wv.cgi?id=2009.11.26.14.49.30792">Miles Away</a><BR>
<BR>
Lord Have Mercy! (sorry I had to say that after skim reading both posts) Have a glass or two of wine and maybe the drama will ease... Be sure to take your vitamins.
<HR>